POST api/auth/login
Request Information
URI Parameters
None.
Body Parameters
TokenRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| ApiKey | string |
Min length: 1 |
|
| Secret | string |
Min length: 1 |
|
| UserId | string |
Min length: 1 |
|
| CustomerNumber | string |
Min length: 1 |
|
| ResellerId | string |
Min length: 1 |
Request Formats
application/json, text/json
Sample:
{
"apiKey": "sample string 1",
"secret": "sample string 2",
"userId": "sample string 3",
"customerNumber": "sample string 4",
"resellerId": "sample string 5"
}
application/xml, text/xml
Sample:
<TokenRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/PPC.Api.Models"> <ApiKey>sample string 1</ApiKey> <CustomerNumber>sample string 4</CustomerNumber> <ResellerId>sample string 5</ResellerId> <Secret>sample string 2</Secret> <UserId>sample string 3</UserId> </TokenRequest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.